Skip to main content
POST
/
api
/
export-templates
Create Template
curl --request POST \
  --url https://api.example.com/api/export-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "definition": {
    "sections": [
      {
        "id": "<string>",
        "tag": "<string>",
        "fields": [
          {
            "key": "<string>",
            "label": "<string>",
            "visible": true
          }
        ],
        "repeat": false,
        "scan_scope": "all_scans",
        "max_rows": 50000
      }
    ],
    "root_tag": "report"
  },
  "description": "<string>",
  "format": "xml"
}
'
{
  "uuid": "<string>",
  "name": "<string>",
  "format": "<string>",
  "definition": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
name
string
required
Required string length: 1 - 255
definition
ExportTemplateDefinition · object
required
description
string | null
format
enum<string>
default:xml
Available options:
xml,
json,
csv

Response

Successful Response

uuid
string
required
name
string
required
format
string
required
definition
Definition · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null